Subject: Re: [PATCH v5 1/1] mergetool: add automerge configuration

From: Felipe Contreras <[email-masked]>
Date: Sun, 27 Dec 2020 12:01:45 -0600

Junio C Hamano wrote:
> Felipe Contreras <[email-masked]> writes:
> 
> > Junio C Hamano wrote:
> >> Felipe Contreras <[email-masked]> writes:
> >> 
> >> >> Yup, I already mentioned UI mistake so you do not have to repeat
> >> >
> >> > You said it was a UI mistake, not me. I am a different mind than yours.
> >> 
> >> Yes, but the point is that I do not need to nor particularly want to
> >> hear your opinion on the behaviour of "git merge-file".
> >
> >> I know (and others reading the thread on the list also know) that the
> >> exit code of the command is misdesigned already.
> >
> > Unless you can read minds, you don't know that.
> 
> Actually I do, because they heard from me already ;-).

They heard that you *think* it's a UI mistake.

The fact that you think something is a mistake doesn't necessarily mean
it's actually a mistake, and other community members might think
otherwise.

You do not dictate what others on the list know.

> >> Again, please realize that on list discussion is a team effort to
> >> come up together a better design of a shared solution.
> >
> > Which is why agreement in a team with different minds and different
> > viewpoints is important.
> 
> It is not like opinions on all points are important.  Whether the
> exit code from merge-file is or is not a UI mistake does NOT have
> any influence on what we were discussing.

Which is why I initially did not express such an opinion.

But you did, presumably you had some reason to do so, so I simply
did the same and expressed mine.

> I am already trying to ignore your opinions on things that do not
> matter in the context of this project, as you told me earlier ;-)
> But just like patches, messages are written only once but read by
> many people, so I'd always aim for reducing noise at the source.

What you consider noise others might not.

Good writers say you should not assume what your readers know.

Yes, some readers might think exactly like you do, and they don't need
what you consider obvious information. But for every person that
thinks exactly like you, there are dozens that don't, and it's those you
should keep in mind.

Most people err on the side of not providing enough information to the
minds dissimilar to theirs.

This is called the curse of knowledge [1].

I try not to do that.

> Anyway, happy holidays and pleasant new year to you and to
> everybody.

Same to you.

Cheers.

[1] https://en.wikipedia.org/wiki/Curse_of_knowledge

-- 
Felipe Contreras